Cabal-2.0.1.0: A framework for packaging Haskell software

Safe Haskell | None
Language | Haskell2010

Distribution.Types.Mixin

# Documentation

data Mixin #

Constructors

Mixin |

Fields

- mixinPackageName :: PackageName
- mixinIncludeRenaming :: IncludeRenaming

Instances

Eq Mixin # |
Methods (==) :: Mixin -> Mixin -> Bool # (/=) :: Mixin -> Mixin -> Bool #
Data Mixin # |

Methods

gfoldl :: (forall d b. Data d => c (d -> b) -> d -> c b) -> (forall g. g -> c g) -> Mixin -> c Mixin Source #

gunfold :: (forall b r. Data b => c (b -> r) -> c r) -> (forall r. r -> c r) -> Constr -> c Mixin Source #

toConstr :: Mixin -> Constr Source #

dataTypeOf :: Mixin -> DataType Source #

dataCast1 :: Typeable (* -> *) t => (forall d. Data d => c (t d)) -> Maybe (c Mixin) Source #

dataCast2 :: Typeable (* -> * -> *) t => (forall d e. (Data d, Data e) => c (t d e)) -> Maybe (c Mixin) Source #

gmapT :: (forall b. Data b => b -> b) -> Mixin -> Mixin Source #

gmapQl :: (r -> r' -> r) -> r -> (forall d. Data d => d -> r') -> Mixin -> r Source #

gmapQr :: (r' -> r -> r) -> r -> (forall d. Data d => d -> r') -> Mixin -> r Source #

gmapQ :: (forall d. Data d => d -> u) -> Mixin -> [u] Source #

gmapQi :: Int -> (forall d. Data d => d -> u) -> Mixin -> u Source #

gmapM :: Monad m => (forall d. Data d => d -> m d) -> Mixin -> m Mixin Source #

gmapMp :: MonadPlus m => (forall d. Data d => d -> m d) -> Mixin -> m Mixin Source #

gmapMo :: MonadPlus m => (forall d. Data d => d -> m d) -> Mixin -> m Mixin Source #

Ord Mixin # |
Methods compare :: Mixin -> Mixin -> Ordering # (<) :: Mixin -> Mixin -> Bool # (<=) :: Mixin -> Mixin -> Bool # (>) :: Mixin -> Mixin -> Bool # (>=) :: Mixin -> Mixin -> Bool # max :: Mixin -> Mixin -> Mixin # min :: Mixin -> Mixin -> Mixin #
Read Mixin # |
Methods readsPrec :: Int -> ReadS Mixin Source # readList :: ReadS [Mixin] Source # readPrec :: ReadPrec Mixin Source # readListPrec :: ReadPrec [Mixin] Source #
Show Mixin # |
Methods showsPrec :: Int -> Mixin -> ShowS Source # show :: Mixin -> String Source # showList :: [Mixin] -> ShowS Source #
Generic Mixin # |
Associated Types type Rep Mixin :: * -> * Source # Methods from :: Mixin -> Rep Mixin x Source # to :: Rep Mixin x -> Mixin Source #
Binary Mixin # |
Methods put :: Mixin -> Put Source # get :: Get Mixin Source # putList :: [Mixin] -> Put Source #
Text Mixin # |
Methods disp :: Mixin -> Doc # parse :: ReadP r Mixin #
type Rep Mixin # |
type Rep Mixin = D1 * (MetaData "Mixin" "Distribution.Types.Mixin" "Cabal-2.0.1.0" False) (C1 * (MetaCons "Mixin" PrefixI True) ((:*:) * (S1 * (MetaSel (Just Symbol "mixinPackageName") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * PackageName)) (S1 * (MetaSel (Just Symbol "mixinIncludeRenaming") NoSourceUnpackedness NoSourceStrictness DecidedLazy) (Rec0 * IncludeRenaming))))